Bug 857971 - Please enable supporting modules for Power7+ crypto accelerators
Please enable supporting modules for Power7+ crypto accelerators
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 11:57 EDT by Kent Yoder
Modified: 2012-10-10 11:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 11:08:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kent Yoder 2012-09-17 11:57:28 EDT
Description of problem:
The default ppc64 kernel for f17 doesn't build drivers supporting Power7+ CPU features for crypto and RNG.

Version-Release number of selected component (if applicable):
3.5.3-1.fc17.ppc64

How reproducible:
always

Steps to Reproduce:
1. modprobe nx-crypto
2. modprobe pseries-rng
3.
  
Actual results:
modprobe fails

Expected results:
modprobe succeeds

Additional info:

Please add the following to config-powerpc64:

CONFIG_HW_RANDOM_PSERIES=m
CONFIG_CRYPTO_DEV_NX=m
Comment 1 Josh Boyer 2012-09-18 08:32:37 EDT
I've enabled these in F18/rawhide.  Justin is on F17 duty this month and will probably pick them up with the next set of commits.
Comment 2 Fedora Update System 2012-09-27 12:25:00 EDT
kernel-3.5.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.5.4-2.fc17
Comment 3 Fedora Update System 2012-09-28 04:18:45 EDT
Package kernel-3.5.4-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.5.4-2.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14952/kernel-3.5.4-2.fc17
then log in and leave karma (feedback).
Comment 4 Josh Boyer 2012-10-10 11:08:57 EDT
This is in the stable repo.  Not sure why bodhi didn't close the bug.

Note You need to log in before you can comment on or make changes to this bug.